/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef CERTIFICATELISTITEM_H
#define CERTIFICATELISTITEM_H
/**
 * @file certificateitemdelegate.h
 * @brief Item delegate drawing custom certificate items in list views.
 *
 */
#include <QWidget>
#include <QLabel>
#include <QComboBox>

#include "certificate.h"

class CertificateItemWidget : public QWidget
{

public:
    CertificateItemWidget(QWidget *parent = 0, const Certificate &cert = Certificate());

private:
    void setupGUI();

    Certificate mCertificate;
    QLabel *mLabel;
    QComboBox *mComboBox;
};
#endif
